# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2019-11-04 21:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('customers', '0001_initial'),
        ('infra', '0001_initial'),
        ('hr', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
                ('default_duration', models.PositiveSmallIntegerField(choices=[(0, '30 minutos'), (1, '1 hora'), (2, '2 horas'), (4, '4 horas'), (24, '1 día'), (72, '3 días'), (96, '4 días'), (120, '5 días'), (144, '6 días'), (168, '7 días')], verbose_name='default duration')),
                ('required_skill_set', models.ManyToManyField(to='hr.Skill')),
            ],
            options={
                'verbose_name': 'activity',
                'verbose_name_plural': 'activities',
            },
        ),
        migrations.CreateModel(
            name='Block',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dt', models.DateTimeField()),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='infra.Group')),
            ],
        ),
        migrations.CreateModel(
            name='Duration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('duration', models.PositiveSmallIntegerField(choices=[(0, '30 minutos'), (1, '1 hora'), (2, '2 horas'), (4, '4 horas'), (24, '1 día'), (72, '3 días'), (96, '4 días'), (120, '5 días'), (144, '6 días'), (168, '7 días')], verbose_name='duration')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scheduler.Activity', verbose_name='activity')),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='infra.Node', verbose_name='node')),
            ],
        ),
        migrations.CreateModel(
            name='Request',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.Service')),
            ],
        ),
        migrations.CreateModel(
            name='Slot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('block', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scheduler.Block')),
                ('request', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='scheduler.Request')),
            ],
        ),
        migrations.CreateModel(
            name='Technician',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
            ],
        ),
        migrations.AddField(
            model_name='block',
            name='technician',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scheduler.Technician'),
        ),
        migrations.AlterUniqueTogether(
            name='block',
            unique_together=set([('technician', 'dt')]),
        ),
    ]
